Search Lists
Request
https://api.castle.io/v1/lists/query Request body
filters | object[] or object Additional filters to query lists by fields and archival status. Accepts a list of filters or a filter tree
( |
One of | |
Option 1 | object[] |
Option 2 | object A list filter tree node. Set exactly one of |
$and | object[] |
One of | |
Option 1 | object |
field | string List field name primary_fieldsecondary_fieldarchived |
op | string $eq |
value | string or boolean Can be string or bool |
Option 2 | object A list filter tree node. Set exactly one of |
$and | object[] |
$or | object[] |
$or | object[] |
One of | |
Option 1 | object |
field | string List field name primary_fieldsecondary_fieldarchived |
op | string $eq |
value | string or boolean Can be string or bool |
Option 2 | object A list filter tree node. Set exactly one of |
$and | object[] |
$or | object[] |
page | integer Page number |
results_size | integer How many records to show per page |
include_size_label | boolean Whether to include the size label in the response |
sort | object List sort order, based on creation timestamp |
field | string "created_at" is the only allowed field for sorting Lists created_at |
order | string ascdesc |
Response
200 | object[] Returns a list of all the Lists matching the query | ||||
401 | No body You are missing the Authorization header, or the API secret is missing or incorrect. | ||||
403 | No body The request is rejected because the service is not enabled for this account. | ||||
422 | object The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint. | ||||
| |||||
429 | No body You performed too many requests. You should back off and retry using the exponential backoff algorithm. | ||||
500 | No body There’s an issue on our end. | ||||